Bug 225029 - History display text mode scrolling unusually fast
History display text mode scrolling unusually fast
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Diff
7.3
PC Linux
: P3 (vote)
: 7.4
Assigned To: Tomas Stupka
diff-issues@utilities
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 13:56 UTC by berniev
Modified: 2013-05-17 09:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description berniev 2013-01-17 13:56:16 UTC
Product Version = NetBeans IDE 7.3 Beta 2 (Build 201211062253)
Operating System = Linux version 3.0.0-30-generic-pae running on i386
Java; VM; Vendor = 1.6.0_24
Runtime = OpenJDK Client VM 20.0-b12

Hopefully an easy one ...

PHP, using local history.

In the editor window, and in history graphical mode scolling (mouse wheel) is about 3 lines per scroll wheel click, and feels about right.
In text mode history scrolls about 10 lines per scroll wheel click.
Quite disconcerting.

Given it is inconsistent with other windows I suggest this is a bug, not an enhancement
Comment 1 Ondrej Brejla 2013-01-17 14:02:36 UTC
It's not PHP specific.
Comment 2 Ondrej Vrabec 2013-05-16 12:47:53 UTC
fix: http://hg.netbeans.org/core-main/rev/603a44f1d79c
Comment 3 Quality Engineering 2013-05-17 09:53:44 UTC
Integrated into 'main-golden', will be available in build *201305170640* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/603a44f1d79c
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #225029 - History display text mode scrolling unusually fast
using the same logic as in the graphical view - DecoratedEditorPane


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo